commit:     1bd6ffd5e108e0e177e6a4081dc5d5ef9a92978d
Author:     Michael Mair-Keimberger <m.mairkeimberger <AT> gmail <DOT> com>
AuthorDate: Tue Sep  4 18:26:33 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Fri Sep  7 12:12:14 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1bd6ffd5

media-sound/tempest_for_eliza: EAPI7 revbump, improve ebuild

Closes: https://bugs.gentoo.org/665236
Closes: https://github.com/gentoo/gentoo/pull/9778

 .../tempest_for_eliza-1.0.5-r2.ebuild              | 35 ++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/media-sound/tempest_for_eliza/tempest_for_eliza-1.0.5-r2.ebuild 
b/media-sound/tempest_for_eliza/tempest_for_eliza-1.0.5-r2.ebuild
new file mode 100644
index 00000000000..c1f630a8951
--- /dev/null
+++ b/media-sound/tempest_for_eliza/tempest_for_eliza-1.0.5-r2.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit toolchain-funcs
+
+DESCRIPTION="Listen to music on the radio generated by images on your screen"
+HOMEPAGE="http://www.erikyyy.de/tempest/";
+SRC_URI="http://www.erikyyy.de/tempest/${P}.tar.gz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+RDEPEND="media-libs/libsdl"
+DEPEND="${RDEPEND}"
+
+src_configure() {
+       tc-export CXX
+       econf \
+               --enable-debug \
+               --enable-nowarnerror
+}
+
+src_compile() {
+       emake CXXFLAGS="${CXXFLAGS}" LDFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+       default
+       rm songs/Makefile* || die
+       insinto /usr/share/${PN}
+       doins songs/*
+}

Reply via email to